apply plugin: 'com.android.library'
apply from: '../mavenpush.gradle'

android {
    compileSdkVersion ANDROID_COMPILE_SDK_VERSION as int
    buildToolsVersion ANDROID_BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 27
        versionCode 22
        versionName "2.2.0-native"

        vectorDrawables.useSupportLibrary = true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    lintOptions {
        abortOnError false
    }

    resourcePrefix 'ucrop_'

    sourceSets.main {
        jni.srcDirs = [];
    }

}

dependencies {
    implementation "com.android.support:appcompat-v7:$supportLibVersion"
    compileOnly 'com.squareup.okhttp3:okhttp:3.11.0'
}
